#
# spec file for package irssi (Version 0.8.6)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  glib glib-devel glib2 glib2-devel gnome-filesystem pkgconfig
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext glib glib-devel glib2 glib2-devel gnome-filesystem libtool perl pkgconfig rpm

Name:         irssi
License:      GPL
Group:        Productivity/Networking/IRC
Requires:     perl = %{perl_version}
Autoreqprov:  on
Version:      0.8.6
Release:      150
Summary:      A modular secure well designed IRC client
URL:          http://www.irssi.org
Source:       http://www.irssi.org/files/irssi-%{version}.tar.bz2
Patch:        %{name}-%{version}.diff
Patch1:       %{name}-%{version}-headsyntax.diff
Patch2:       %{name}-%{version}-install_vendor.diff
Patch3:       %{name}-%{version}-64bit.diff
Patch4:       irssi-0.8.6-signalargs.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Irssi is a modular IRC client for UNIX that currently has only text
mode user interface, but 80-90% of the code isn't text mode specific,
so other UIs could be created pretty easily. Also, Irssi isn't really
even IRC specific anymore, there's already working SILC and ICB modules
available. Support for other protocols like ICQ and Jabber could be
created some day too.

What separates Irssi from ircII, BitchX, epic and the rest text
clients? The code. It's not using the code of ircII.



Authors:
--------
    Timo Sirainen <cras@irssi.org>

%prep
%setup
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3
%patch4 -p1

%build
cp curses.m4 acinclude.m4
autoreconf -fi
CFLAGS="$RPM_OPT_FLAGS" ./configure \
		--with-plugins \
		--enable-ipv6 \
		--with-bot \
		--libdir=%{_libdir} \
		--with-proxy \
		--with-socks \
		--with-glib2 \
		--with-perl=yes \
		--enable-ssl \
		--with-ncurses \
		--prefix=/usr \
		--mandir=%{_mandir} \
		--sysconfdir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
/etc/irssi.conf
/usr/bin/botti
/usr/bin/irssi
%dir /usr/%_lib/irssi
/usr/%_lib/irssi/*
%dir %{perl_vendorarch}/Irssi
%{perl_vendorarch}/Irssi.pm
%{perl_vendorarch}/Irssi/*
%{perl_vendorarch}/auto/Irssi
%dir %{_defaultdocdir}/irssi
%docdir %{_defaultdocdir}/irssi/
%doc %{_defaultdocdir}/irssi/*
%dir /usr/share/irssi
/usr/share/irssi/*
/var/adm/perl-modules/irssi
%doc %{_mandir}/man1/*

%changelog -n irssi
* Fri Dec 12 2003 - mmj@suse.de
- Apply security fix for false argument to signal function [#33632]
* Fri Sep 05 2003 - sf@suse.de
- remove '-g -W' from compile options
* Fri Sep 05 2003 - sf@suse.de
- patch for 64bit [Bug 24861]
* Wed Aug 20 2003 - mjancar@suse.cz
- require the perl version we build with
* Mon Aug 04 2003 - mmj@suse.de
- Patch to use install_vendor with perl
* Sun Jul 27 2003 - mmj@suse.de
- Add gnome-filesystem to nfb
* Mon Jul 14 2003 - mmj@suse.de
- Use vendor_install and friends
- Clean up the specfile a bit
* Tue May 13 2003 - mmj@suse.de
- Remove files that should not be packaged
* Mon May 12 2003 - mmj@suse.de
- Also package the manpage
* Mon Apr 07 2003 - mmj@suse.de
- head -1 have to be head -n 1 with the new coreutils.
* Mon Jan 13 2003 - mmj@suse.de
- Also package the Irssi.pm file
* Tue Nov 19 2002 - mmj@suse.de
- Update to 0.8.6 which includes tons of changes, biggest ones:
  + SSL support
  + DCC send queues
  + Better support for !channels
- Switch to glib2
* Mon Sep 23 2002 - mmj@suse.de
- Make perl_use_lib not be in BuildRoot:
* Tue Aug 13 2002 - mmj@suse.de
- Apply patch from mls for the Perl 5.8 threading enabled.
* Mon Jul 22 2002 - mmj@suse.de
- Initial package created, version 0.8.5
